petsc-3.4.2 2013-07-02

# DMDAGetNonOverlappingRegion

Gets the indices of the nonoverlapping region of a subdomain DM.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetNonOverlappingRegion(DM da, PetscInt *xs, PetscInt *ys, PetscInt *zs, PetscInt *xm, PetscInt *ym, PetscInt *zm)

Not collective

### Input Parameter

da -The DMDA

### Output Parameters

| xs | - The start of the region in x
| ys | - The start of the region in y
| zs | - The start of the region in z
| xs | - The size of the region in x
| ys | - The size of the region in y
| zs | - The size of the region in z

### Keywords

distributed array, degrees of freedom

### See Also

DMDAGetOffset(), DMDAVecGetArray()

Level:intermediate
Location:src/dm/impls/da/da.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages